connect lv2 output controls
[goodguy/history.git] / cinelerra-5.1 / bld_scripts / bld_static.sh
index c6157f77c0cd3d789c07733e4f319e6e35a5cafe..39e197439a7ce16fba5eb50ebd92a0ed2bb9ccef 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
 
 dir="$1"
 shift
@@ -13,31 +13,24 @@ if [ ! -d "$path/$dir/$bld" ]; then
 fi
 
 cd "$path/$dir/$bld"
-rm -rf "$proj"
-git clone --depth 1 "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj"
-#rsh host tar -C /mnt0/cinelerra5 -cf - cinelerra | tar -xf -
-#mv cinelerra cinelerra5
+rm -rf "$proj.sta"
+mkdir "$proj.sta"
+
+git clone "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj.sta"
+#rsh host tar -C "/mnt0/$proj" -cf - "$base" | tar -C "$proj.sta" -xf -
 if [ $? -ne 0 ]; then
   echo "git clone $proj failed"
   exit 1
 fi
 
-cd "$proj/$base"
-if [ "$dir" = "ubuntu" ]; then
- echo "CFLAGS += -DPNG_SKIP_SETJMP_CHECK=1" >> global_config
-fi
-if [ "$dir" = "centos" ]; then
- echo "EXTRA_LIBS += -lnuma" >> global_config
- echo "CFLAGS += -D__STDC_CONSTANT_MACROS -D__STDC_LIMIT_MACROS" >> global_config
-fi
-if [ "$dir" = "suse" ]; then
- echo "EXTRA_LIBS += -lnuma" >> global_config
-fi
-
-STATIC_LIBRARIES=1 ./configure >& log
-make >> log 2>&1 $@
-make install >> log 2>&1
+cd "$proj.sta/$base"
+{
+./autogen.sh && \
+./configure --with-single-user --enable-static-build && \
+make $@ && \
+make install
+} 2>&1 | tee log || true
 
 echo "finished: scanning log for ***"
-grep -a "\*\*\*" log
+grep -ai "\*\*\*.*error" log | head